--- old/usr/src/uts/i86pc/acpi_drv/Makefile	Mon Jan  7 13:06:56 2019
+++ new/usr/src/uts/i86pc/acpi_drv/Makefile	Mon Jan  7 13:06:56 2019
@@ -23,7 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Copyright 2016 Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 #	This makefile drives the production of the acpi_drv 
@@ -65,6 +65,9 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-function
 
+# needs work
+$(OBJS_DIR)/acpi_video.o := SMOFF += all_func_returns
+
 LDFLAGS		+= -dy -N misc/acpica
 
 #
--- old/usr/src/uts/i86pc/acpidev/Makefile	Mon Jan  7 13:06:59 2019
+++ new/usr/src/uts/i86pc/acpidev/Makefile	Mon Jan  7 13:06:59 2019
@@ -24,7 +24,7 @@
 # Copyright (c) 2009, Intel Corporation.
 # All rights reserved.
 #
-# Copyright 2016, Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 #	This makefile drives the production of the ACPI device configuration
 #	kernel module.
@@ -66,6 +66,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-type-limits
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/i86pc/acpinex/Makefile	Mon Jan  7 13:07:01 2019
+++ new/usr/src/uts/i86pc/acpinex/Makefile	Mon Jan  7 13:07:01 2019
@@ -24,9 +24,9 @@
 # Copyright (c) 2009, Intel Corporation.
 # All rights reserved.
 #
-# Copyright 2016, Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
-#	This makefile drives the production of the ACPI virtual nexus 
+#	This makefile drives the production of the ACPI virtual nexus
 #	kernel module.
 #
 #	intel platform dependent
@@ -64,6 +64,9 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-function
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/i86pc/apix/Makefile	Mon Jan  7 13:07:02 2019
+++ new/usr/src/uts/i86pc/apix/Makefile	Mon Jan  7 13:07:02 2019
@@ -22,7 +22,7 @@
 # uts/i86pc/apix/Makefile
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
-# Copyright 2017, Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 #	This makefile drives the production of the apix "mach"
 #	kernel module.
@@ -63,6 +63,11 @@
 #
 LDFLAGS		+= -dy -N misc/acpica
 
+# needs work, real bug in apic_allocate_irq()
+$(OBJS_DIR)/mp_platform_common.o := SMOFF += indenting
+# needs work
+$(OBJS_DIR)/psm_common.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/i86pc/dr/Makefile	Mon Jan  7 13:07:03 2019
+++ new/usr/src/uts/i86pc/dr/Makefile	Mon Jan  7 13:07:03 2019
@@ -25,10 +25,7 @@
 # Copyright (c) 2010, Intel Corporation.
 # All rights reserved.
 #
-#	This makefile drives the production of the dr driver module.
-#
-#	i86pc architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -72,6 +69,9 @@
 CERRWARN += -_gcc=-Wno-uninitialized
 CERRWARN += -_gcc=-Wno-empty-body
 
+# needs work
+SMOFF += index_overflow
+
 #
 # module dependencies
 #
--- old/usr/src/uts/i86pc/i86hvm/Makefile.i86hvm	Mon Jan  7 13:07:04 2019
+++ new/usr/src/uts/i86pc/i86hvm/Makefile.i86hvm	Mon Jan  7 13:07:04 2019
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 ROOT_HVM_DIR		= $(ROOT_PLAT_DIR)/i86hvm
 ROOT_HVM_MOD_DIR	= $(ROOT_HVM_DIR)/kernel
@@ -58,3 +59,6 @@
 #
 CPPFLAGS	+= -DXPV_HVM_DRIVER -D_SOLARIS
 ASFLAGS		+= -DXPV_HVM_DRIVER
+
+# needs work
+SMATCH=off
--- old/usr/src/uts/i86pc/isa/Makefile	Mon Jan  7 13:07:04 2019
+++ new/usr/src/uts/i86pc/isa/Makefile	Mon Jan  7 13:07:05 2019
@@ -23,7 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Copyright 2016 Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 #	This makefile drives the production of the ISA nexus driver
 #
@@ -58,6 +58,9 @@
 
 $(OBJS_DIR)/isa.o :=	CERRWARN	+= -_gcc=-Wno-unused-function
 
+# needs work
+$(OBJS_DIR)/i8237A.o := SMOFF += indenting
+
 #
 # lint pass one enforcement
 #
--- old/usr/src/uts/i86pc/pcie/Makefile	Mon Jan  7 13:07:06 2019
+++ new/usr/src/uts/i86pc/pcie/Makefile	Mon Jan  7 13:07:06 2019
@@ -24,12 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-#	This makefile drives the production of the kernel/misc/pcie module
-#	for PCI-E Error handling support in PCI-E nexus drivers.
-#
-#	i86pc implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -69,6 +64,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function # safe
 
+# needs work
+SMOFF += all_func_returns,deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/i86pc/pcplusmp/Makefile	Mon Jan  7 13:07:07 2019
+++ new/usr/src/uts/i86pc/pcplusmp/Makefile	Mon Jan  7 13:07:08 2019
@@ -24,7 +24,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Copyright 2017, Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 #
@@ -67,6 +67,11 @@
 #
 LDFLAGS		+= -dy -N misc/acpica
 
+# needs work
+$(OBJS_DIR)/mp_platform_common.o := SMOFF += indenting
+# needs work
+$(OBJS_DIR)/psm_common.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/i86pc/rootnex/Makefile	Mon Jan  7 13:07:11 2019
+++ new/usr/src/uts/i86pc/rootnex/Makefile	Mon Jan  7 13:07:11 2019
@@ -24,10 +24,7 @@
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the rootnex driver
-#
-#	i86pc implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -74,6 +71,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/immu_qinv.o := SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/i86pc/unix/Makefile	Mon Jan  7 13:07:12 2019
+++ new/usr/src/uts/i86pc/unix/Makefile	Mon Jan  7 13:07:12 2019
@@ -18,15 +18,10 @@
 #
 # CDDL HEADER END
 #
-
-#
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of unix (and unix.o).
-#
-#	i86pc implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -162,6 +157,16 @@
 CERRWARN	+= -_gcc=-Wno-empty-body
 CERRWARN	+= -_gcc=-Wno-unused-value
 
+# false positives
+SMOFF += index_overflow
+
+# needs work
+SMOFF += all_func_returns,deref_check,signed
+
+$(OBJS_DIR)/fmsmb.o := SMOFF += indenting
+$(OBJS_DIR)/zutil.o := SMOFF += indenting
+$(OBJS_DIR)/bootrd_cpio.o := SMOFF += allocating_enough_data
+
 # Ensure that lint sees 'struct cpu' containing a fully declared
 # embedded 'struct machcpu'
 #
--- old/usr/src/uts/i86pc/uppc/Makefile	Mon Jan  7 13:07:13 2019
+++ new/usr/src/uts/i86pc/uppc/Makefile	Mon Jan  7 13:07:13 2019
@@ -23,7 +23,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Copyright 2016 Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 #	This makefile drives the production of the uppc mach
 #	kernel module.
@@ -63,6 +63,9 @@
 DEBUG_FLGS	=
 DEBUG_DEFS	+= $(DEBUG_FLGS)
 
+# needs work
+$(OBJS_DIR)/psm_common.o := SMOFF += deref_check
+
 #
 # Depends on ACPI CA interpreter
 #
--- old/usr/src/uts/i86xpv/isa/Makefile	Mon Jan  7 13:07:18 2019
+++ new/usr/src/uts/i86xpv/isa/Makefile	Mon Jan  7 13:07:18 2019
@@ -23,7 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Copyright 2016 Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 #	This makefile drives the production of the ISA nexus driver
 #
@@ -58,6 +58,9 @@
 
 $(OBJS_DIR)/isa.o :=	CERRWARN	+= -_gcc=-Wno-unused-function
 
+# needs work
+$(OBJS_DIR)/i8237A.o := SMOFF += indenting
+
 #
 # lint pass one enforcement
 #
--- old/usr/src/uts/i86xpv/unix/Makefile	Mon Jan  7 13:07:22 2019
+++ new/usr/src/uts/i86xpv/unix/Makefile	Mon Jan  7 13:07:22 2019
@@ -23,6 +23,8 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
+#
 #	This makefile drives the production of unix (and unix.o).
 #
 #	i86xpv implementation architecture dependent
@@ -148,6 +150,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-empty-body
 
+# needs work
+SMATCH=off
+
 # Ensure that lint sees 'struct cpu' containing a fully declared
 # embedded 'struct machcpu'
 #
--- old/usr/src/uts/i86xpv/xnb/Makefile	Mon Jan  7 13:07:24 2019
+++ new/usr/src/uts/i86xpv/xnb/Makefile	Mon Jan  7 13:07:25 2019
@@ -23,12 +23,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-#	This makefile drives the production of the xnb
-#	network driver support module.
-#
-#	i86xpv architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -78,6 +73,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += signed
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/i86xpv/xnf/Makefile	Mon Jan  7 13:07:26 2019
+++ new/usr/src/uts/i86xpv/xnf/Makefile	Mon Jan  7 13:07:27 2019
@@ -25,13 +25,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the xve
-#	network driver kernel module.
-#
-#	i86xpv architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -73,6 +67,9 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/i86xpv/xpv_psm/Makefile	Mon Jan  7 13:07:29 2019
+++ new/usr/src/uts/i86xpv/xpv_psm/Makefile	Mon Jan  7 13:07:29 2019
@@ -23,7 +23,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Copyright 2016 Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 #
@@ -81,6 +81,9 @@
 CERRWARN	+= -_gcc=-Wno-empty-body
 CERRWARN	+= -_gcc=-Wno-unused-function
 
+# needs work
+SMATCH=off
+
 #	Default build targets.
 #
 .KEEP_STATE:
--- old/usr/src/uts/i86xpv/xpv_uppc/Makefile	Mon Jan  7 13:07:32 2019
+++ new/usr/src/uts/i86xpv/xpv_uppc/Makefile	Mon Jan  7 13:07:32 2019
@@ -23,7 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Copyright 2016 Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 #	This makefile drives the production of the xpv_uppc mach
 #	kernel module.
@@ -64,6 +64,9 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-function
 
+# needs work
+$(OBJS_DIR)/psm_common.o := SMOFF += deref_check
+
 #
 #
 # Depends on ACPI CA interpreter
--- old/usr/src/uts/intel/FSS/Makefile	Mon Jan  7 13:07:34 2019
+++ new/usr/src/uts/intel/FSS/Makefile	Mon Jan  7 13:07:34 2019
@@ -22,8 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# uts/intel/FSS/Makefile
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the FSS scheduling class
@@ -66,6 +65,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/fss.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/aac/Makefile	Mon Jan  7 13:07:36 2019
+++ new/usr/src/uts/intel/aac/Makefile	Mon Jan  7 13:07:36 2019
@@ -23,6 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the aac driver kernel module.
@@ -71,6 +72,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-switch
 
+# needs work
+$(OBJS_DIR)/aac.o := SMOFF += shift_to_zero
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ac97/Makefile	Mon Jan  7 13:07:39 2019
+++ new/usr/src/uts/intel/ac97/Makefile	Mon Jan  7 13:07:39 2019
@@ -24,7 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the ac97 support module.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 #
@@ -54,6 +54,9 @@
 
 LDFLAGS		+= -dy -Ndrv/audio
 
+# needs work
+$(OBJS_DIR)/ac97.o := SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/acpica/Makefile	Mon Jan  7 13:07:41 2019
+++ new/usr/src/uts/intel/acpica/Makefile	Mon Jan  7 13:07:41 2019
@@ -2,7 +2,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Copyright 2016 Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 #
 #	This makefile drives the production of the ACPI CA services
@@ -54,6 +54,8 @@
 #
 CERRWARN += -erroff=E_STATEMENT_NOT_REACHED
 
+SMOFF += all_func_returns
+
 LINTFLAGS += -errchk=%none
 LINTFLAGS += -errhdr=%none
 LINTFLAGS += -erroff=%all
--- old/usr/src/uts/intel/agpgart/Makefile	Mon Jan  7 13:07:44 2019
+++ new/usr/src/uts/intel/agpgart/Makefile	Mon Jan  7 13:07:44 2019
@@ -2,8 +2,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# uts/intel/agpgart/Makefile
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the framework of agp protocol
@@ -39,6 +38,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/agpgart.o := SMOFF += deref_check
+
 #
 # For now, disable these lint checks; maintainers should endeavor
 # to investigate and remove these for maximum lint coverage.
--- old/usr/src/uts/intel/amd8111s/Makefile	Mon Jan  7 13:07:47 2019
+++ new/usr/src/uts/intel/amd8111s/Makefile	Mon Jan  7 13:07:47 2019
@@ -22,11 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the AMD8111
-#	Fast Ethernet (amd8111s) driver module in intel systems
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -62,6 +58,9 @@
 #
 LDFLAGS		+= -dy -N misc/mac
 
+# seems wrong
+$(OBJS_DIR)/amd8111s_hw.o := SMOFF += precedence
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/arcmsr/Makefile	Mon Jan  7 13:07:49 2019
+++ new/usr/src/uts/intel/arcmsr/Makefile	Mon Jan  7 13:07:49 2019
@@ -21,6 +21,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Paths to the base of the uts directory trees
@@ -46,6 +47,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/arcmsr.o := SMOFF += deref_check
+
 #
 # Define targets.
 #
--- old/usr/src/uts/intel/arn/Makefile	Mon Jan  7 13:07:49 2019
+++ new/usr/src/uts/intel/arn/Makefile	Mon Jan  7 13:07:49 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 
 #
@@ -38,7 +39,7 @@
 #	Define the module and object file sets.
 #
 MODULE		= arn
-OBJECTS		= $(ARN_OBJS:%=$(OBJS_DIR)/%) 
+OBJECTS		= $(ARN_OBJS:%=$(OBJS_DIR)/%)
 LINTS		= $(ARN_OBJS:%.o=$(LINTS_DIR)/%.ln)
 ROOTMODULE	= $(ROOT_DRV_DIR)/$(MODULE)
 
@@ -65,6 +66,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 
+# various issues
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/arp/Makefile	Mon Jan  7 13:07:50 2019
+++ new/usr/src/uts/intel/arp/Makefile	Mon Jan  7 13:07:50 2019
@@ -24,10 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the arp driver kernel module.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -76,6 +73,9 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
+# false positive
+SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ath/Makefile	Mon Jan  7 13:07:50 2019
+++ new/usr/src/uts/intel/ath/Makefile	Mon Jan  7 13:07:50 2019
@@ -22,6 +22,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This file makes the atheros driver for an intel system
@@ -66,6 +67,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-empty-body
 
+# needs work
+$(OBJS_DIR)/ath_rate.o := SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/atu/Makefile	Mon Jan  7 13:07:51 2019
+++ new/usr/src/uts/intel/atu/Makefile	Mon Jan  7 13:07:51 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # This makefile drives the production of the atu driver kernel module.
@@ -61,6 +62,9 @@
 
 CERRWARN	+= -_gcc=-Wno-switch
 
+# needs work
+$(OBJS_DIR)/atu.o := SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/audio/Makefile	Mon Jan  7 13:07:51 2019
+++ new/usr/src/uts/intel/audio/Makefile	Mon Jan  7 13:07:51 2019
@@ -24,8 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the audio support module.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -48,6 +47,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/audio_grc3.o := SMOFF += index_overflow
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/audioemu10k/Makefile	Mon Jan  7 13:07:51 2019
+++ new/usr/src/uts/intel/audioemu10k/Makefile	Mon Jan  7 13:07:51 2019
@@ -24,8 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the audioemu10k driver.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -62,6 +61,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += all_func_returns
+
 $(OBJS_DIR)/%.o			:= CPPFLAGS += -I$(OBJS_DIR)
 $(OBJS_DIR)/%.ln		:= CPPFLAGS += -I$(OBJS_DIR)
 $(OBJS_DIR)/emu10k_gpr.h	:= ASM10KFLAGS = -v -0 -P gpr
--- old/usr/src/uts/intel/audiosolo/Makefile	Mon Jan  7 13:07:52 2019
+++ new/usr/src/uts/intel/audiosolo/Makefile	Mon Jan  7 13:07:52 2019
@@ -24,8 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the audiosolo driver.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -56,6 +55,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += assign_vs_compare
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/av1394/Makefile	Mon Jan  7 13:07:52 2019
+++ new/usr/src/uts/intel/av1394/Makefile	Mon Jan  7 13:07:52 2019
@@ -22,6 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree.
@@ -74,6 +75,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
 
+# needs work
+$(OBJS_DIR)/av1394_isoch.o := SMOFF += signed
+
 #
 # depends on misc/s1394
 LDFLAGS		+= -dy -Nmisc/s1394
--- old/usr/src/uts/intel/bge/Makefile	Mon Jan  7 13:07:53 2019
+++ new/usr/src/uts/intel/bge/Makefile	Mon Jan  7 13:07:53 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the Broadcom BCM57xx
@@ -70,6 +71,9 @@
 CERRWARN       += -_gcc=-Wno-unused-variable
 CERRWARN       += -_gcc=-Wno-unused-function
 
+# 3rd party source
+SMOFF += all_func_returns
+
 #
 # Driver depends on MAC
 #
--- old/usr/src/uts/intel/blowfish/Makefile	Mon Jan  7 13:07:54 2019
+++ new/usr/src/uts/intel/blowfish/Makefile	Mon Jan  7 13:07:54 2019
@@ -18,6 +18,8 @@
 #
 # CDDL HEADER END
 #
+# Copyright (c) 2018, Joyent, Inc.
+#
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
@@ -76,6 +78,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+$(OBJS_DIR)/blowfish_impl.o := SMOFF += precedence
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/bofi/Makefile	Mon Jan  7 13:07:54 2019
+++ new/usr/src/uts/intel/bofi/Makefile	Mon Jan  7 13:07:54 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the bofi driver 
@@ -70,6 +71,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/bofi.o := SMOFF += signed_integer_overflow_check,deref_check
+
 #
 # For now, disable these lint checks; maintainers should endeavor
 # to investigate and remove these for maximum lint coverage.
--- old/usr/src/uts/intel/bpf/Makefile	Mon Jan  7 13:07:55 2019
+++ new/usr/src/uts/intel/bpf/Makefile	Mon Jan  7 13:07:55 2019
@@ -22,10 +22,12 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
+#
 # uts/intel/bpf/Makefile
 #
 #
-#	This makefile drives the production of the bpf driver 
+#	This makefile drives the production of the bpf driver
 #	kernel module.
 #
 #	intel architecture dependent
@@ -73,6 +75,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/bpf.o := SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
@@ -88,7 +93,7 @@
 
 lint:		$(LINT_DEPS)
 
-modlintlib:	$(MODLINTLIB_DEPS) 
+modlintlib:	$(MODLINTLIB_DEPS)
 
 clean.lint:	$(CLEAN_LINT_DEPS)
 
--- old/usr/src/uts/intel/cardbus/Makefile	Mon Jan  7 13:07:55 2019
+++ new/usr/src/uts/intel/cardbus/Makefile	Mon Jan  7 13:07:55 2019
@@ -22,8 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# uts/intel/cardbus/Makefile
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the cardbus kernel module.
@@ -56,7 +55,7 @@
 LINT_TARGET	= $(MODULE).lint
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE)
 
-# 
+#
 # 	Include sun4u specific header files
 #
 INC_PATH        += -I$(UTSBASE)/sun4u -I$(UTSBASE)/sun4 -I$(UTSBASE)/i86pc
@@ -87,6 +86,8 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
+SMOFF += indenting,no_if_block
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/chxge/Makefile	Mon Jan  7 13:07:56 2019
+++ new/usr/src/uts/intel/chxge/Makefile	Mon Jan  7 13:07:56 2019
@@ -22,6 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the Chelsio N110
@@ -104,6 +105,11 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+SMOFF += indenting,all_func_returns,no_if_block
+
+# needs work
+$(OBJS_DIR)/sge.o := SMOFF += index_overflow
+
 #
 #
 #	Default build targets.
--- old/usr/src/uts/intel/clone/Makefile	Mon Jan  7 13:07:56 2019
+++ new/usr/src/uts/intel/clone/Makefile	Mon Jan  7 13:07:56 2019
@@ -25,12 +25,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the clone driver
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -58,6 +53,9 @@
 LINT_TARGET	= $(MODULE).lint
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE) $(ROOT_CONFFILE)
 
+# needs work
+$(OBJS_DIR)/clone.o := SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/cmlb/Makefile	Mon Jan  7 13:07:56 2019
+++ new/usr/src/uts/intel/cmlb/Makefile	Mon Jan  7 13:07:56 2019
@@ -23,12 +23,9 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the cmlb "misc"
-#	kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
+
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
@@ -80,6 +77,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/cmlb.o := SMOFF += signed
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/cpqary3/Makefile	Mon Jan  7 13:07:57 2019
+++ new/usr/src/uts/intel/cpqary3/Makefile	Mon Jan  7 13:07:57 2019
@@ -10,7 +10,7 @@
 #
 
 #
-# Copyright 2013 Joyent, Inc.  All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 #
@@ -46,6 +46,8 @@
 #
 LDFLAGS		+= -dy -Nmisc/scsi
 
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ctfs/Makefile	Mon Jan  7 13:07:57 2019
+++ new/usr/src/uts/intel/ctfs/Makefile	Mon Jan  7 13:07:57 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the contract file system
@@ -64,6 +65,9 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+$(OBJS_DIR)/ctfs_root.o := SMOFF += signed_integer_overflow_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/cxgbe/t4nex/Makefile	Mon Jan  7 13:07:57 2019
+++ new/usr/src/uts/intel/cxgbe/t4nex/Makefile	Mon Jan  7 13:07:57 2019
@@ -12,6 +12,7 @@
 #
 # Copyright (c) 2013 by Chelsio Communications, Inc. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # This makefile drives the production of the Chelsio Terminator 4 10G Ethernet
@@ -90,6 +91,9 @@
 LINTTAGS += -erroff=E_CASE_FALLTHRU
 LINTTAGS += -erroff=E_ASSIGN_NARROW_CONV
 
+# needs work
+SMATCH=off
+
 #
 # Default build targets.
 #
--- old/usr/src/uts/intel/dadk/Makefile	Mon Jan  7 13:07:58 2019
+++ new/usr/src/uts/intel/dadk/Makefile	Mon Jan  7 13:07:58 2019
@@ -24,11 +24,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the dadk "misc"
-#	kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -75,6 +71,9 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+SMOFF += all_func_returns,signed
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/daplt/Makefile	Mon Jan  7 13:07:58 2019
+++ new/usr/src/uts/intel/daplt/Makefile	Mon Jan  7 13:07:58 2019
@@ -23,6 +23,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Paths to the base of the uts directory trees
@@ -74,6 +75,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/daplt.o := SMOFF += all_func_returns,deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/dca/Makefile	Mon Jan  7 13:07:59 2019
+++ new/usr/src/uts/intel/dca/Makefile	Mon Jan  7 13:07:59 2019
@@ -25,6 +25,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the DCA kCF provider.
@@ -40,7 +41,7 @@
 #
 #	Define the module and object file sets.
 #
-MODULE		= dca	
+MODULE		= dca
 OBJECTS		= $(DCA_OBJS:%=$(OBJS_DIR)/%)
 LINTS		= $(DCA_OBJS:%.o=$(LINTS_DIR)/%.ln)
 ROOTMODULE	= $(ROOT_DRV_DIR)/$(MODULE)
@@ -69,6 +70,9 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+$(OBJS_DIR)/dca_rsa.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/devfs/Makefile	Mon Jan  7 13:07:59 2019
+++ new/usr/src/uts/intel/devfs/Makefile	Mon Jan  7 13:07:59 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # uts/intel/devfs/Makefile
@@ -51,6 +52,9 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+$(OBJS_DIR)/devfs_vnops.o := SMOFF += signed
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/devinfo/Makefile	Mon Jan  7 13:08:00 2019
+++ new/usr/src/uts/intel/devinfo/Makefile	Mon Jan  7 13:08:00 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the devinfo kernel
@@ -65,6 +66,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-clobbered
 
+# needs work
+$(OBJS_DIR)/devinfo.o := SMOFF += deref_check,strcpy_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/dld/Makefile	Mon Jan  7 13:08:02 2019
+++ new/usr/src/uts/intel/dld/Makefile	Mon Jan  7 13:08:02 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -71,6 +72,10 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+$(OBJS_DIR)/dld_proto.o := SMOFF += signed
+$(OBJS_DIR)/dld_drv.o := SMOFF += cast_assign
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/dls/Makefile	Mon Jan  7 13:08:02 2019
+++ new/usr/src/uts/intel/dls/Makefile	Mon Jan  7 13:08:02 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -67,6 +68,10 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/dls_link.o := SMOFF += all_func_returns
+
+
 #
 # Default build targets.
 #
--- old/usr/src/uts/intel/dnet/Makefile	Mon Jan  7 13:08:04 2019
+++ new/usr/src/uts/intel/dnet/Makefile	Mon Jan  7 13:08:04 2019
@@ -24,11 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the dnet
-#	network driver kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -67,6 +63,10 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/dnet.o := SMOFF += index_overflow
+$(OBJS_DIR)/dnet_mii.o := SMOFF += all_func_returns
+
 LDFLAGS		+= -dy -N misc/mac
 
 #
--- old/usr/src/uts/intel/doorfs/Makefile	Mon Jan  7 13:08:07 2019
+++ new/usr/src/uts/intel/doorfs/Makefile	Mon Jan  7 13:08:07 2019
@@ -23,6 +23,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the doorfs driver kernel module.
@@ -76,6 +77,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/door_sys.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
